:root {
  /* FONTS AND TEXT SIZE */
  --primary-font-family: "Roboto", sans-serif;
  --font-size-sm: 16px;
  --font-size-md: 20px;
  --font-size-lg: 24px;
  --font-size-xl: 36px;

  /* COLORS */
  --text-color-dark: #0a0903;
  --text-color-light: white;
  --primary-background-color: #ffc100;
  --secondary-background-color: #0a0903;
  --primary-btn-background-color: #ff8200;
  --secondary-btn-background-color: #9381ff;
  --btn-correct-background-color: #51e351;
  --btn-incorrect-background-color: #ff0000;
  --danger-color: #ff0000;
  --border-color: white;

  /* SPACING */
  --spacing-sm: 10px;
  --spacing-md: 16px;
  --spacing-lg: 24px;
  --spacing-xl: 32px;
  --primary-border-radius: 8px;
}

/* BODY */

body {
  background-color: var(--secondary-background-color);
}

/* ELEMENTS MADE HIDDEN/VISIBLE BY JAVASCRIPT */
.hidden {
  display: none !important;
}

.disabled {
  pointer-events: none;
}

/* START SCREEN */

.start-btn-container {
  display: flex;
  flex-direction: column;
  align-items: center;
  justify-content: center;
  text-align: center;
  padding: 1.5rem;
  font-family: var(--primary-font-family);
  color: var(--text-color-light);
  margin-top: 7rem;
}

.start-btn-container h2 {
  font-size: var(--font-size-xl);
  margin: 24px 0 24px 0;
}

.start-btn-container p {
  font-size: var(--font-size-md);
}

/* QUIZ CONTAINER */

.quiz-container,
.question-feedback-correct,
.question-feedback-incorrect,
.quiz-results-container {
  font-family: var(--primary-font-family);
  font-size: var(--font-size-md);
  max-width: 80%;
  margin: 0 auto;
  padding: 16px;
}

.start-btn-container button,
.quiz-container button,
.quiz-results-container button {
  cursor: pointer;
  border-radius: var(--primary-border-radius);
}

.start-btn-container button:hover,
.quiz-container button:hover,
.quiz-results-container button:hover {
  opacity: 95%;
  transform: translateY(-0.75px);
}

/* TIMER */

.quiz-container .timer {
  font-weight: bold;
  text-align: right;
  color: white;
}

.timer.danger {
  color: var(--danger-color);
}

/* QUIZ TITLE */

.quiz-container h1 {
  font-size: var(--font-size-xl);
  color: white;
}

/* QUIZ QUESTION */

.quiz-container h2.question {
  font-size: var(--font-size-lg);
  background: var(--primary-background-color);
  padding: var(--spacing-md);
  border-radius: var(--primary-border-radius);
  font-weight: normal;
  line-height: 1.6;
  display: flex;
  align-items: center;
}

.question-number {
  font-size: var(--font-size-sm);
  background-color: var(--secondary-background-color);
  color: var(--text-color-light);
  padding: var(--spacing-sm);
  border-radius: var(--primary-border-radius);
  margin-right: var(--spacing-lg);
}

/* QUIZ ANSWER CHOICE CONTAINER */

.quiz-container .answer-choices {
  display: grid;
  grid-template-columns: 1fr 1fr;
  gap: var(--spacing-md);
}

/* QUIZ ANSWER CHOICES */

.quiz-container .answer-choice {
  border: none;
  padding: var(--spacing-lg) var(--spacing-xl);
  font-size: var(--font-size-md);
  background-color: var(--primary-btn-background-color);
  color: var(--text-color-dark);
}

/* AFTER ANSWERING THE QUESTION */

.next-btn.disabled {
  opacity: 0.5;
  cursor: not-allowed;
}

.answer-choice.correct {
  background-color: var(--btn-correct-background-color);
  color: var(--text-color-dark);
}

.answer-choice.incorrect {
  background-color: var(--btn-incorrect-background-color);
  color: var(--text-color-dark);
}

/* BUTTONS */

.quiz-container .next-btn,
.quiz-results-container .retake-btn,
.start-btn-container .start-btn {
  background-color: var(--secondary-btn-background-color);
  color: var(--text-color-dark);
  border: none;
  padding: var(--spacing-sm) var(--spacing-lg);
  margin-top: var(--spacing-lg);
  font-size: var(--font-size-md);
  text-transform: uppercase;
}

/* RESULTS */

.question-feedback-correct,
.question-feedback-incorrect,
.quiz-results-container {
  color: white;
}

.quiz-results-container {
  display: flex;
  flex-direction: column;
  gap: var(--spacing-lg);
}

.quiz-results-container .results-feedback-container {
  border: 1px solid var(--border-color);
  border-radius: var(--primary-border-radius);
  padding: 20px;
  display: flex;
  flex-direction: column;
  gap: var(--spacing-sm);
}

.quiz-results-container .results-feedback-container.incorrect {
  border: 2px solid var(--danger-color);
  color: var(--text-color-light);
}

.result-question {
  font-size: var(--font-size-md);
  font-weight: bold;
}

.result-answers {
  padding: var(--spacing-md);
  border-radius: var(--primary-border-radius);
  display: flex;
  flex-direction: column;
  gap: var(--spacing-sm);
}

.user-answer {
  color: #ffb703;
}

.correct-answer {
  color: #51e351;
}

.retake-btn {
  display: block;
  margin: 20px auto;
  width: 200px;
}

@media (max-width: 900px) {
  .quiz-container .answer-choices {
    grid-template-columns: 1fr;
  }
}
